#Application

C
Host
R
s

Port
R
s

Root
R
s

Request
R
s

LogFile
P
s

Protocol
P
s

#CGI

C
FormatDate
M
s
(dDate)d
_get
M
s
(sVar)s
_put
M

(sVal)s(sVar)s
Encode
M
s
(Path)s
Decode
M
s
(Path)s
_init
M


Dump
M


Error
M

(Text)s
#JSON

C
Null
R
v

Decode
M
v
(JSONString)s[(UseNull)b]
Encode
M
s
(Value)v
#JSONCollection
Collection
C
_get
m
v
(Key)s
_put
m

(Value)v(Key)s
_next
m
v

#Request

C
Fields
R
String[]

Cookies
R
Collection

Method
R
s

Path
P
s

Query
P
s

Files
R
Collection

Delimiter
P
s

InternetExplorer
R
i

Get
R
_Request_Get

Post
R
_Request_Post

Debug
P
b

_init
M


_get
M
s
(Key)s
Exist
M
b
(Field)s
_put
M

(Value)s(Key)s
#Response

C
Buffered
P
b

ContentType
P
s

Status
P
s

EndOfLine
P
i

AddHeader
M

(Name)s(Value)s
Redirect
M

(URL)s
Begin
M


End
M


SetCookie
M

(Cookie)s(Value)s[(Domain)s(Path)s(Expires)d(HttpOnly)b]
RemoveCookie
M

(Cookie)s(Value)s[(Domain)s(Path)s]
GetContentTypeFrom
M
s
(Path)s
SendFile
M

(Path)s[(ContentType)s]
#Session

C
Id
P
s

Timeout
P
f

Prefix
P
s

Unique
P
b

Modified
P
b

CookiePath
P
s

Keys
R
String[]

_exit
M


Abandon
M


_get
M
v
(Key)s
Exist
M
b
(Key)s
_put
M

(Value)v(Key)s
Save
M


Load
M


#URL

C
Quote
M
s
(Path)s
Encode
M
s
(Path)s
UnQuote
M
s
(Path)s
Decode
M
s
(Path)s
SetQuery
M
s
(URL)s(Field)s(Value)s
UnsetQuery
M
s
(URL)s(Field)s
#WebPage

CA
Buffered
p
b

Parent
r
o

Main
M


Render
m


_Render
m

[(_Arg)Collection;]
__Render
m

[(_Arg)Collection;]
_RenderEnd
m


__RenderEnd
m


ToString
m
s

#_Request_Get

CA
Fields
r
String[]

_get
m
s
(Key)s
Exist
m
b
(Field)s
_Reload
m


#_Request_Post

CA
Fields
r
String[]

Files
r
Collection

Contents
r
s

Exist
m
b
(Field)s
_get
m
s
(Key)s
